<p>___________________________________________________________________________________________________________________________________________</p>
<h3>BIENVENIDOS</h3>

<div>
    <form [formGroup] = "formSearchClient" (ngSubmit) = "searchClient()">
        <label for="">Buscador</label>
        <input type="text" formControlName="document" (blur)="searchClient()">
        <button type="submit">Buscar</button>
    </form>
    <!-- <p *ngIf="client"> {{client | json}}</p> -->
    <p *ngIf="!statusSearchDocument" class="alert"> El cliente no se encuentra con ese número de documento</p>
</div>
<br/>
<table>
    <tr>
        <th>Id</th>
        <th>Name</th>
        <th>Document</th>
        <th>Email</th>
        <th>phoneNumber</th>
        <th>documentType</th>
    </tr>

    <tr *ngFor="let item of client">
            <th> {{ item.id }}</th>
            <th> {{ item.name }} </th>
            <th> {{ item.document }} </th>
            <th> {{ item.email }} </th>
            <th> {{ item.phoneNumber }} </th>   
            <th> {{ item.documentType }} </th>       
        </tr>
</table>

<p>------------------------------------------------************************************************-----------------------------------------</p>
<h2>INGRESE LOS DATOS DEL CLIENTE</h2>

<form [formGroup]= "clientFormGroup" novalidate (ngSubmit)="saveClient()" >
   <div>
       <label for="">Name</label>
       <input type="text" formControlName="name" name="name">
   </div>

   <div>
    <label for="">Document</label>
    <input type="text" formControlName="document" name="document">
</div>

<div>
    <label for="">Email</label>
    <input type="text" formControlName="email" name="email">
</div>

<div>
    <label for="">Phone Number</label>
    <input type="text" formControlName="phoneNumber" name="phoneNumber">
</div>

<div>
    <label for="">Document Type</label>
    <input type="text" formControlName="documentType" name="documentType">
</div>

<button type="submit"> Guardar</button>

</form>
